import { ModuleMetadata } from '@nestjs/common';
import { PubSubOptions } from 'graphql-subscriptions';

export interface PubSubAsyncConfig extends Pick<ModuleMetadata, 'imports'> {
  name?: string;
  useFactory: (...args: any[]) => Promise<PubSubOptions> | PubSubOptions;
  inject?: any[];
}
